<main class="page-content">
    <!--breadcrumb-->
    <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
        <div class="breadcrumb-title pe-3"><?= $title ?></div>
    </div>
    <!--end breadcrumb-->
    <style>
    .collapsible-section {
        border: 1px solid #ccc;
        margin-bottom: 10px;
        border-radius: 0px;
    }

    .collapsible-header {
        background-color: #f2f2f2;
        padding: 10px;
        cursor: pointer;
        font-weight: bold;
        border-bottom: 1px solid #ccc;
    }

    .collapsible-content {
    display: block; /* Was 'none' before */
    padding: 10px;
}

    .collapsible-section.active .collapsible-content {
        display: block;
    }

    .form-check-label {
        display: block;
        margin-bottom: 5px;
    }
</style>

<script>
    // Toggle collapsible sections
    document.addEventListener('DOMContentLoaded', function () {
        document.querySelectorAll('.collapsible-header').forEach(function (header) {
            header.addEventListener('click', function () {
                this.parentElement.classList.toggle('active');
            });
        });
    });
</script>
    <div class="row">
        <div class="col-xl-12 mx-auto">
            <div class="card">
                <div class="card-body">
                    
                    <div class="container">
        <table class="table table-bordered permissions-table">
            <thead>
                <tr>
                    <th>Role</th>
                    <th>Permissions</th>
                </tr>
            </thead>
             <tbody>
                    <?php foreach ($roles as $role_id => $role): ?>
                        <tr>
                            <td><b><?php echo $role->role_name; ?></b><br/><?php echo $role->staff_fullname; ?>[<?php echo $role->staff_id; ?>]</td>
                            <td>
                                <div class="checkbox-container">
                                    <?php
                                    // Group menus by heading
                                    $groupedMenus = [];
                                    foreach ($menus as $menu) {
                                        $groupedMenus[$menu->heading][] = $menu;
                                    }
                            
                                    foreach ($groupedMenus as $heading => $menuItems):
                                    ?>
                                        <div class="collapsible-section active">
                                            <div class="collapsible-header"><?php echo $heading; ?></div>
                                            <div class="collapsible-content">
                                                <?php foreach ($menuItems as $menu): ?>
                                                    <label class="form-check-label" style="width:100%">
                                                        <input type="checkbox" class="form-check-input permission-checkbox"
                                                               data-role-id="<?php echo $role_id; ?>"
                                                               data-menu-id="<?php echo $menu->id; ?>"
                                                               <?php echo in_array($menu->menu_name, array_column($role->permissions, 'menu_name')) ? 'checked' : ''; ?>>
                                                        <?php echo $menu->menu_name; ?>
                                                    </label>
                                                <?php endforeach; ?>
                                            </div>
                                        </div>
                                    <?php endforeach; ?>
                                </div>
                            </td>

                        </tr>
                    <?php endforeach; ?>
                </tbody>
        </table>
    </div>
    
                 
                </div>
            </div>
        </div>

    </div>
</div>
<!--end row-->
</main>

<style>

.permissions-table th, .permissions-table td {
            vertical-align: middle;
        }
        .checkbox-container {
            display: flex;
            flex-wrap: wrap;
        }
        .checkbox-container label {
            width: 25%; /* Four checkboxes per row */
            margin-right: 0;
            margin-bottom: 10px;
        }
    </style>

 <script>
        $(document).ready(function() {
            $('.permission-checkbox').change(function() {
                var roleId = $(this).data('role-id');
                var menuId = $(this).data('menu-id');
                var isChecked = $(this).is(':checked');

                $.ajax({
                    url: '<?php echo base_url('admin/update_permission_menue'); ?>',
                    type: 'POST',
                    data: {
                        role_id: roleId,
                        menu_id: menuId,
                        has_permission: isChecked
                    },
                    dataType: 'json',
                    success: function(response) {
                       // alert(response.message);
                    },
                    error: function() {
                        alert('Error updating permission.');
                    }
                });
            });
        });
    </script>

