<!-- Financial Year Selection Modal -->
<div class="modal fade" id="financialYearModal" tabindex="-1" aria-labelledby="financialYearLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="financialYearLabel">Select Financial Year</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <select class="form-control" id="financial_year">
          <option value="">-- Select Financial Year --</option>
          <option value="24-25">2024-2025</option>
          <option value="25-26">2025-2026</option>
        </select>
      </div>
      <div class="modal-footer">
        <button type="button" id="confirmFinancialYear" class="btn btn-primary">Confirm</button>
      </div>
    </div>
  </div>
</div>


<main class="page-content">

    <div class="card">
      
     
        <div class="card-body">
            <form id="filterForm" action="<?php echo base_url('admin/manage_all_applicants'); ?>" method="post">
                <div class="row">
                    <div class="col-md-2 mb-3">
                           <?php $rbo = $this->db->select("*")->from('mst_rbo')->where('active', 1)->get()->result_array(); ?>
                            <label for="rbo">Applicants</label>
                            <select class="single-select" id="applicants" name="applicants">
                                <option value="all" selected>All</option>
                                <option value="pb">PB</option>
                                <option value="mb">MB</option>
                            </select>
                    </div>
                    <div class="col-md-2 mb-3">
                        <label for="start_date">Start Date:</label>
                        <input class="form-control" type="date" id="start_date" name="start_date" value="<?php echo isset($_POST['start_date']) ? $_POST['start_date'] : ''; ?>">
                    </div>
                    <div class="col-md-2 mb-3">
                        <label for="end_date">End Date:</label>
                        <input class="form-control" type="date" id="end_date" name="end_date" value="<?php echo isset($_POST['end_date']) ? $_POST['end_date'] : ''; ?>">
                    </div>
                    <div class="col-md-2 mb-3">
                        <label for="branch">Branch</label>
                        <select class="single-select" id="branch" name="branch">
                            <option value="">Select Branch</option>
                            <?php foreach ($branch as $branchItem) : ?>
                                <option value="<?= $branchItem['id']; ?>" <?php echo isset($_POST['branch']) && $_POST['branch'] === $branchItem['id'] ? 'selected' : ''; ?>><?= $branchItem['branch_name']; ?></option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                    
                    
                        <div class="col-md-2 mb-3">
                           <?php $rbo = $this->db->select("*")->from('mst_rbo')->where('active', 1)->get()->result_array(); ?>
                            <label for="rbo">RBO</label>
                            <select class="single-select" id="rbo" name="rbo">
                                <option value="">Select RBO</option>
                                <?php foreach ($rbo as $rboItem) { ?>
                                    <option value="<?= $rboItem['id']; ?>" <?php echo isset($_POST['rbo']) && $_POST['rbo'] === $rboItem['id'] ? 'selected' : ''; ?>>
                                        <?= $rboItem['rbo_name']; ?>
                                    </option>
                                <?php } ?>
                            </select>
                        </div>

                    <?php if($_SESSION['staff_type']==0){ ?>
                    <div class="col-md-2 mb-3">
                        <label for="connector">Partner</label>
                        <select class="single-select" id="connector" name="connector">
                            <option value="">Select Partner</option>
                            <?php foreach ($connector as $connectorItem) : ?>
                                <option value="<?= $connectorItem['staff_id']; ?>" <?php echo isset($_POST['connector']) && $_POST['connector'] === $connectorItem['staff_id'] ? 'selected' : ''; ?>><?= $connectorItem['staff_fullname']; ?></option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                    <div class="col-md-2 mb-3">
                        <label for="created_by_part">Created By Part.</label>
                        <select class="single-select" id="created_by_part" name="created_by_part">
                            <option value="">Select</option>
                            <?php foreach ($connector_created as $connectorItem1) : ?>
                                <option value="<?= $connectorItem1['staff_fullname']; ?>" <?php echo isset($_POST['created_by_part']) && $_POST['created_by_part'] === $connectorItem1['staff_fullname'] ? 'selected' : ''; ?>><?= $connectorItem1['staff_fullname']; ?></option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                    
                    <?php } ?>
                     <?php if($_SESSION['staff_id']==1 || $_SESSION['staff_id']==14 || $_SESSION['staff_id']==28){ ?>
                      
                       <div class="col-md-2 mb-3">
                        <label for="connector">Team Leader</label>
                        <select class="single-select" id="team_leader" name="team_leader">
                            <option value="">Select Team Leader</option>
                            <?php foreach ($connector_created as $connectorItem1) : ?>
                                <?php if ($connectorItem1['staff_id'] == 1 || $connectorItem1['staff_id'] == 28 || $connectorItem1['staff_id'] == 194) : ?>
                                    <option value="<?= $connectorItem1['staff_id']; ?>" 
                                        <?php echo isset($_POST['team_leader']) && $_POST['team_leader'] == $connectorItem1['staff_id'] ? 'selected' : ''; ?>>
                                        <?= $connectorItem1['staff_fullname']; ?>
                                    </option>
                                <?php endif; ?>
                            <?php endforeach; ?>

                        </select>
                    </div>
                  <?php } ?>
                    <div class="col-md-2 mb-3">
                        <label for="status">Status</label>
                        <select name="status" id="status" class="form-control">
                            <option value="">--Select--</option>
                            <option value="Login Case" <?php echo isset($_POST['status']) && $_POST['status'] === 'Login Case' ? 'selected' : ''; ?>>Login Case</option>
                            <option value="Disb Case" <?php echo isset($_POST['status']) && $_POST['status'] === 'Disb Case' ? 'selected' : ''; ?>>Disb Case</option>
                           <!-- <option value="Sanction" <?php echo isset($_POST['status']) && $_POST['status'] === 'Sanction' ? 'selected' : ''; ?>>Sanction</option>
                            <option value="Reject" <?php echo isset($_POST['status']) && $_POST['status'] === 'Reject' ? 'selected' : ''; ?>>Reject</option>-->
                        </select>
                    </div>

                    <div class="col-md-2 mb-3">
                        <label for="hlc_status">Payment Partner Status</label>
                        <select name="hlc_status[]" id="hlc_status" class="multiple-select select2-hidden-accessible" multiple data-placeholder="--Select--">
                           
                            <option value="paid" <?php echo (isset($_POST['hlc_status']) && in_array('paid', $_POST['hlc_status'])) ? 'selected' : ''; ?>>Paid</option>
                            <option value="unpaid" <?php echo (isset($_POST['hlc_status']) && in_array('unpaid', $_POST['hlc_status'])) ? 'selected' : ''; ?>>Unpaid</option>
                            <option value="partly paid" <?php echo (isset($_POST['hlc_status']) && in_array('partly paid', $_POST['hlc_status'])) ? 'selected' : ''; ?>>Partly Paid</option>
                            <option value="excess paid" <?php echo (isset($_POST['hlc_status']) && in_array('excess paid', $_POST['hlc_status'])) ? 'selected' : ''; ?>>Excess paid</option>
                        </select>
                    </div>
                    
                    <div class="col-md-2 mb-3">
                        <label for="pb_payment_status">Payment PB Status</label>
                        <select name="pb_payment_status[]" id="pb_payment_status" class="multiple-select select2-hidden-accessible" multiple>
                            
                            <option value="paid" <?php echo (isset($_POST['pb_payment_status']) && in_array('paid', $_POST['pb_payment_status'])) ? 'selected' : ''; ?>>Paid</option>
                            <option value="unpaid" <?php echo (isset($_POST['pb_payment_status']) && in_array('unpaid', $_POST['pb_payment_status'])) ? 'selected' : ''; ?>>Unpaid</option>
                            <option value="partly paid" <?php echo (isset($_POST['pb_payment_status']) && in_array('partly paid', $_POST['pb_payment_status'])) ? 'selected' : ''; ?>>Partly Paid</option>
                            <option value="excess paid" <?php echo (isset($_POST['pb_payment_status']) && in_array('excess paid', $_POST['pb_payment_status'])) ? 'selected' : ''; ?>>Excess paid</option>
                        </select>
                    </div>
                    
                    <div class="col-md-2 mb-3">
                        <label for="sbi_payment_status">Payment SBI Status</label>
                        <select name="sbi_payment_status[]" id="sbi_payment_status" class="multiple-select select2-hidden-accessible" multiple>
                            
                            <option value="paid" <?php echo (isset($_POST['sbi_payment_status']) && in_array('paid', $_POST['sbi_payment_status'])) ? 'selected' : ''; ?>>Paid</option>
                            <option value="unpaid" <?php echo (isset($_POST['sbi_payment_status']) && in_array('unpaid', $_POST['sbi_payment_status'])) ? 'selected' : ''; ?>>Unpaid</option>
                            <option value="partly paid" <?php echo (isset($_POST['sbi_payment_status']) && in_array('partly paid', $_POST['sbi_payment_status'])) ? 'selected' : ''; ?>>Partly Paid</option>
                            <option value="excess paid" <?php echo (isset($_POST['sbi_payment_status']) && in_array('excess paid', $_POST['sbi_payment_status'])) ? 'selected' : ''; ?>>Excess paid</option>
                         </select>
                    </div>
                    
                    <div class="col-md-2 mb-3">
                        <label for="partner_generated">Partner Generated</label>
                        <select name="partner_generated" id="partner_generated" class="form-control">
                            <option value="">--Select--</option>
                            <option value="Yes" <?php echo isset($_POST['partner_generated']) && $_POST['partner_generated'] === 'Yes' ? 'selected' : ''; ?>>Yes</option>
                            <option value="No" <?php echo isset($_POST['partner_generated']) && $_POST['partner_generated'] === 'No' ? 'selected' : ''; ?>>No</option>
                        </select>
                    </div>
                    
                    
                    
                    <div class="col-md-2 mb-3">
                        <label for="pb_generated">PB Generated</label>
                        <select name="pb_generated" id="pb_generated" class="form-control">
                            <option value="">--Select--</option>
                            <option value="Yes" <?php echo isset($_POST['pb_generated']) && $_POST['pb_generated'] === 'Yes' ? 'selected' : ''; ?>>Yes</option>
                            <option value="No" <?php echo isset($_POST['pb_generated']) && $_POST['pb_generated'] === 'No' ? 'selected' : ''; ?>>No</option>
                        </select>
                    </div>
                   

                    <div class="col-md-2 mb-3">
                        <label for="state_id">State</label>
                        <select name="state_id" id="state_id" class="single-select">
                            <option value="">-Select-</option>
                            <?php foreach ($state as $value) { ?>
                                <option value="<?= $value['id']; ?>" <?php echo isset($_POST['state_id']) && $_POST['state_id'] === $value['id'] ? 'selected' : ''; ?>><?= $value['state_name']; ?></option>
                            <?php } ?>
                        </select>
                    </div>

                    <div class="col-md-2 mb-3">
                        <label for="city_id">City</label>
                        <select name="city_id" id="city_id" class="single-select">
                            <option value="">-Select-</option>
                        </select>
                    </div>

                    <div class="col-md-2 mb-3">
                        <label for="month">Month</label>
                        <input type="month" name="month" id="month" class="form-control" value="<?php echo isset($_POST['month']) ? $_POST['month'] : ''; ?>">
                    </div>

                    <div class="col-md-2 mb-3">
                        <br>
                        <button type="button" class="btn btn-success" id="filterSubmit">Filter</button>
                        <button class="btn btn-info" type="button" id="resetButton">Reset</button>
                    </div>
                </div>
            </form>
            
           
            <div class="table-responsive">

                <table class="table align-middle table-striped" id="userTable">
                    <?php if($_SESSION['staff_type']==0){ ?>
    <div class="row mb-3 d-flex justify-content-between">
        <div class="col-md-3">
                <button type="button" id="excelBtn" class="btn btn-success" onclick="downloadExcel()">
                    <i class="bi bi-file-excel"></i> Export All
                </button>
        </div>
        <div class="col-md-3"> <!-- Align Right -->
            <button type="button" id="sendToFinance" class="btn btn-warning">Send to Finance</button>
        </div>
         <div class="col-md-3 text-end"> <!-- Align Right -->
            <button type="button" id="applicant_transfer_year" class="btn btn-primary">Transfer Applicant</button>
        </div>
    </div>
<?php } ?>

<script>
async function downloadExcel() {
  const btn = document.getElementById('excelBtn');
  btn.disabled = true;
  btn.innerText = 'Please wait, file downloading...';

  try {
    let baseUrl = '<?php echo base_url(); ?>Pb_excel_applicant'; // Default URL
    const form = document.getElementById('filterForm');

    // Check if the filter form exists and has data
    if (form) {
      const formData = new FormData(form);
      const queryString = new URLSearchParams(formData).toString();

      if (queryString.trim() !== "") { 
        baseUrl += '?' + queryString; // Append filter data if exists
      }
    }

    console.log('Downloading Excel from:', baseUrl); // Debugging URL

    // Fetch the Excel file
    const response = await fetch(baseUrl, { method: 'GET' });

    if (!response.ok) {
      throw new Error('Download failed');
    }

    // Convert the response to a Blob
    const blob = await response.blob();

    // Create a temporary URL for the Blob
    const url = window.URL.createObjectURL(blob);

    // Create a temporary link element
    const a = document.createElement('a');
    a.href = url;
    a.download = 'PB_Applicant_List.xlsx'; // File name
    document.body.appendChild(a);
    a.click();

    // Clean up
    window.URL.revokeObjectURL(url);
    document.body.removeChild(a);

  } catch (error) {
    console.error(error);
    alert('An error occurred while downloading the file.');
  } finally {
    // Re-enable the button and restore text
    btn.disabled = false;
    btn.innerText = 'Export All';
  }
}
</script>


                     <thead>
                        <tr>
                            <th><input type="checkbox" id="select-all"></th>
                            <th>Sr.No</th>
                            <th>Partner Name</th>
                            <th>Partner Code</th>
                            <th>Applicant Name</th>
                            <th>State</th>
                            <th>City</th>
                            <th>RLMS ID</th>
                            <th>CBS Account No</th>
                            <th>Branch Name</th>
                            <th>Applicant</th>
                            <th>RBO</th>
                            <th>Loan Type</th>
                            <th>Sanction Loan Amt</th>
                            <th>Partner Payout %</th>
                            <th>Partner Payout Amt</th>
                            <th>Remuneration(0.95%)</th>
                          <!--  <th>SBI %</th>
                            <th>SBI Commi. Amt</th>
                            <th>SBI 10%</th>
                            <th>SBI 90% Commi</th>-->
                            <th>Disb Date</th>
                            <th>Status</th>
                            <th>Partner Generated</th>
                            <th>Partner Payment Status</th>
                            <th>PB Generated</th>
                            <th>PB Payment Status</th>
                         <!--  <th>SBI PB Invoice No</th>-->
                            <th>SBI Generated</th>
                            <th>SBI Payment Status</th>
                            <!--  <th>PB Branch Conf. No</th>-->
                            <th>Add Date</th>
                            <th>Created By</th>
                          <!--  <th>Verify</th>-->
                            <th>Verified By</th>
                            <th>Agency Code</th>
                            <th>Agency Name</th>
                            <th>Apr</th>
                            <th>FSL</th>
                            <th>POD</th>
                           
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>          
                             
                   </tbody>
                  
                </div>
  </div>
</main>

<script>
$(document).ready(function () {
       
    var staffType = <?php echo $_SESSION['staff_type']; ?>;
    var staffId = <?php echo $_SESSION['staff_id']; ?>;
    var columns = [
        { "data": "checkbox" },        
        { "data": "sr_no" },        
        { "data": "hlc_name", "visible": (staffType == 0) },
        { "data": "hlc_code", "visible": (staffType == 0) },
        { "data": "applicant_name" },
        { "data": "state" },
        { "data": "city" },
        { "data": "rlms_id" },
        { "data": "cbs_account_no" },
        { "data": "branch_name" },
        { "data": "login_code" },
        { "data": "rbo" },
        { "data": "loan_type" },
        { "data": "sanction_loan_amt" },
        { "data": "conn_commision", "visible": (staffId == 651 || staffId == 498 || staffId == 13 || staffId == 14 || staffId == 1 || staffId == 538 || staffId == 634)},
        { "data": "conn_payout_amt", "visible": (staffId == 651 || staffId == 498 || staffId == 13 || staffId == 14 || staffId == 538 ||  staffId == 1 || staffId == 634)},
        { "data": "remuneration", "visible": (staffId == 651 || staffId == 498 || staffId == 13 || staffId == 14 || staffId == 538 || staffId == 1)},
       /* { "data": "sbi_payout", "visible": (staffId == 1 || staffId == 14) },
        { "data": "sbi_commi_amt", "visible": (staffId == 1 || staffId == 14) },
        { "data": "sbi_ten_per", "visible": (staffId == 1 || staffId == 14) },
        { "data": "sbi_ninety_per", "visible": (staffId == 1 || staffId == 14) },*/
        { "data": "disb_date" },
        { "data": "status" },
        { "data": "hlc_generated" },
        { "data": "hlc_payment_status" },
        { "data": "pb_generated", "visible": (staffType == 0)},
        { "data": "pb_payment_status" , "visible": (staffType == 0)},
      /*  { "data": "sbi_pb_invoice_no", "visible": (staffId == 498 || staffId == 14 || staffId == 13 || staffId==651)},
        { "data": "sbi_pb_payment_status", "visible": (staffId == 498 || staffId == 14 || staffId == 13 || staffId==651)},
        { "data": "pb_branch_conf_no", "visible": (staffId == 498 || staffId == 14 || staffId == 13 || staffId==651)},*/
        
        { "data": "sbi_generated", "visible": (staffType == 0) },
        { "data": "sbi_payment_status", "visible": (staffType == 0) },
        { "data": "add_date" },
        { "data": "created_by", "visible": (staffId == 14 || staffId == 1 || staffId == 538 || staffId == 13 || staffId == 498 || staffId==651 || staffId==752) },
        //{ "data": "is_verify", "visible": (staffId == 498 || staffId == 13 || staffId == 28 || staffId==651 || staffId==14)},
        { "data": "verify_by", "visible": (staffId == 1 || staffId == 14 || staffId == 194 || staffId == 13 || staffId == 28 || staffId == 12 || staffId == 498 || staffId==651 || staffId==752)},
       
         { "data": "agency_code" },
        { "data": "agency_name" },
        
        { "data": "appraisal_letter", "exportable": true },       
        { "data": "final_sanction_letter", "exportable": true },       
        { "data": "proof_disb", "exportable": true },     
       
        { "data": "edit" }
    ];

    var table = $('#userTable').DataTable({
        "processing": true,
        "serverSide": true,
        "ajax": {
            "url": "<?php echo base_url('admin/fetch_all_user'); ?>",
            "type": "POST",
            "data": function (d) {
                d.applicants = $('#applicants').val();
                d.start_date = $('#start_date').val();
                d.end_date = $('#end_date').val();
                d.status = $('#status').val();
                d.connector = $('#connector').val();
                d.branch = $('#branch').val();
                d.hlc_status = $('#hlc_status').val();
                d.pb_payment_status = $('#pb_payment_status').val();
                d.sbi_payment_status = $('#sbi_payment_status').val();
                d.pb_generated = $('#pb_generated').val();
                d.state_id = $('#state_id').val();
                d.city_id = $('#city_id').val();
                d.month = $('#month').val();
               
                d.branch_generated = $('#branch_generated').val();
                d.partner_generated = $('#partner_generated').val();
                d.rbo = $('#rbo').val();
                d.created_by_part = $('#created_by_part').val();
                d.team_leader = $('#team_leader').val();
            },
            "error": function (jqXHR, textStatus, errorThrown) {
                console.error("Error loading data: ", textStatus, errorThrown);
            }
        },
        "language": {
        "processing": "<div class='spinner-border text-primary' role='status'></div>Loading data, please wait..." // Optional spinner
    },
        "columns": columns,
        "lengthChange": true,
        "lengthMenu": [[50,100,200,300], [50,100,200,300]],
        //"lengthMenu": [[50, 100, 300, -1], [50, 100, 300, "All"]],
        "pageLength": 50,
        "order": [[0, 'desc']],
        "dom": 'lBfrtip',
        "scrollX": true,
        "fixedColumns": {
          leftColumns: 0,
          rightColumns: 4,
        },
           "buttons": [
        
        { 
            extend: 'excelHtml5', 
            text: 'Excel',
            exportOptions: {
                columns: ':visible', // Include all visible columns
                format: {
                     body: function (data, row, column, node) {
                        // Extract value from input fields if present
                        if ($(node).find('input').length) {
                            return $(node).find('input').val();
                        }
                        if ($(node).find('select').length) {
                            return $(node).find('select option:selected').text();
                        }
                        if ($(node).find('.badge').length) {
                            return $(node).find('.badge').text().trim();
                        }
                        /* if ($(node).find('a').length) {
                            var link = $(node).find('a').attr('href');
                            return link ? link : 'N/A';
                        }*/
                        // Remove any HTML tags and return only plain text
                        return $('<div>').html(data).text();
                    }
                }
            }
        },
        { extend: 'colvis', text: 'Column Visibility' }
    ],
     "drawCallback": function(settings) {
     
      // Adjust the height of the fixed columns to match the scrollable columns
      setTimeout(function() {
        var scrollBodyHeight = $('.dataTables_scrollBody').height();
        $('.DTFC_LeftBodyWrapper').height(scrollBodyHeight);
        $('.DTFC_RightBodyWrapper').height(scrollBodyHeight);

        // Adjust the row heights to match
        $('#userTable tbody tr').each(function(index) {
          var rowHeight = $(this).height();
          $('.DTFC_LeftBodyWrapper tbody tr').eq(index).height(rowHeight);
          $('.DTFC_RightBodyWrapper tbody tr').eq(index).height(rowHeight);
        });
      }, 10);
      
       calculateAndDisplayTotals();
       
       restoreCheckboxState();
     },
        "footerCallback": function (row, data, start, end, display) {
            calculateAndDisplayTotals();
        }
    });

    /*$('#filterSubmit').click(function() {
        table.draw();
    });*/
    var selectedCheckboxes = new Set();

    // Handle "Select All" checkbox
    $('#select-all').on('click', function () {
        var isChecked = this.checked;
        $('.row-checkbox').each(function () {
            this.checked = isChecked;
            var value = $(this).val();
            if (isChecked) {
                selectedCheckboxes.add(value);
            } else {
                selectedCheckboxes.delete(value);
            }
        });
    });

    // Handle individual row checkbox selection
    $('#userTable').on('click', '.row-checkbox', function () {
        var value = $(this).val();
        if (this.checked) {
            selectedCheckboxes.add(value);
        } else {
            selectedCheckboxes.delete(value);
        }

        // Update "Select All" checkbox state
        if ($('.row-checkbox:checked').length === $('.row-checkbox').length) {
            $('#select-all').prop('checked', true);
        } else {
            $('#select-all').prop('checked', false);
        }
    });

    // Restore checked checkboxes after table reloads
    function restoreCheckboxState() {
        $('.row-checkbox').each(function () {
            var value = $(this).val();
            this.checked = selectedCheckboxes.has(value);
        });

        // Update "Select All" checkbox based on current selection
        if ($('.row-checkbox:checked').length === $('.row-checkbox').length) {
            $('#select-all').prop('checked', true);
        } else {
            $('#select-all').prop('checked', false);
        }
    }
    
    $('#filterSubmit').click(function () {
    // Check if the month filter has a value
    var selectedMonth = $('#month').val();
    
    if (selectedMonth) {
        // If a month is selected, show all rows for that month
        table.page.len(-1).draw(); // Display all rows
    } else {
        // Otherwise, revert to default pagination (e.g., 100 rows per page)
        table.draw();
    }
});
  
    $('#resetButton').on('click', function() {
        $('#filterForm')[0].reset();
    
        $('.single-select').each(function() {
            const id = $(this).attr('id');
            if (id === 'applicants') {
                $(this).val('all').trigger('change'); // Set to 'all' for Applicants
            } else {
                $(this).val('').trigger('change'); // Clear others
            }
            
        });
        
       $('.multiple-select').select2({
            placeholder: "--Select--",
            allowClear: true,
            width: '100%'
        });

        
        // Reset multiple select2 fields
        $('.multiple-select').each(function () {
            $('.multiple-select').val([]).trigger('change');
        });
    
    table.ajax.reload();
  });

    $('#state_id').change(function() {
        var stateId = $(this).val();
        if(stateId !== '') {
            $.ajax({
                url: '<?= base_url('Admin/get_cities') ?>',
                type: 'POST',
                data: { state_id: stateId },
                dataType: 'json',
                success: function(data) {
                    $('#city_id').empty().append('<option value="">-Select-</option>');
                    $.each(data, function(key, value) {
                        $('#city_id').append('<option value="' + value.id + '">' + value.city_name + '</option>');
                    });
                },
                error: function(xhr, status, error) {
                    console.error(xhr.responseText);
                }
            });
        } else {
            $('#city_id').empty().append('<option value="">-Select-</option>');
        }
    });

    $('#state_id').trigger('change');
    
   $('.dataTables_scrollBody').on('scroll', function() {
    var $scrollBody = $(this);
    var $fixedColumnsRight = $('.DTFC_RightBodyWrapper');
    var scrollLeft = $scrollBody.scrollLeft();
    var scrollWidth = $scrollBody[0].scrollWidth;
    var clientWidth = $scrollBody[0].clientWidth;
    
    var isScrolledToEnd = scrollLeft + clientWidth >= scrollWidth - 1; // -1 to account for rounding issues
    
    if (isScrolledToEnd) {
        $fixedColumnsRight.hide();
    } else {
        $fixedColumnsRight.show();
    }
  });

    $(document).on('click', '.delete', function () {
        var element = $(this);
        var id = element.attr('data-id'); // Use data-id attribute to get the ID
        var action = element.attr('action');

        Swal.fire({
            title: 'Are you sure?',
            text: "Are you sure you want to delete this account?",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                $.ajax({
                    type: 'POST',
                    url: base_url + 'admin/' + action + '/' + id,
                    dataType: 'json',
                    success: function (res) {
                        if (res.success == '1') {
                            notify(res.type, res.message);
                            table.ajax.reload(null, false);  // Reload the table data without resetting pagination
                        } else {
                            notify(res.type, res.message);
                        }
                    },
                    error: function (xhr, status, error) {
                        console.log(xhr.responseText);
                        alert('Error occurred while deleting data. Please try again.');
                    }
                });
            }
        });
    });
    
    
    $(document).on('click', '.commoon_active', function (e) {
    var element = $(this);
    var status = element.attr('active'); // Get the current status
    var id = element.parent('a').data('id'); // Get the data-id directly from the 'a' tag
    var action = element.attr('action'); // Get the action

    console.log("ID: " + id);
    $.ajax({
        type: 'POST',
        url: base_url + 'Admin/' + action + '/' + id + '/' + status,
    }).done(function (response) {
        var res = $.parseJSON(response);
        console.log(res);
        if (res.success == '1') {
            notify(res.type, res.message);
            table.ajax.reload(null, false);
            if (status == '0') { // If current status is 0, change to 1 (Non-verified to Verified)
                element.attr('active', '1'); // Update status attribute to 1
                element.html('Non-verified'); // Update text
                element.addClass('bg-danger').removeClass('bg-success');
                
            } else { // If current status is 1, change to 0 (Verified to Non-verified)
                element.attr('active', '0'); // Update status attribute to 0
                element.html('Verified'); // Update text
                element.addClass('bg-success').removeClass('bg-danger');
               
            }
        } else {
            notify(res.type, res.message);
             table.ajax.reload(null, false);
        }
    }).fail(function () {
        alert("Error in updating status. Please try again.");
    });
});

});


function calculateAndDisplayTotals() {
    var totalSanctionLoanAmt = 0;
    var totalpartnerPercentage = 0;
    var totalPartnerPayoutAmt = 0;
    var totalRemunerationAmt = 0;

    // Define column indices
    var sanctionLoanColumnIndex = <?php echo ($_SESSION['staff_type'] == 0) ? 11 : 10; ?>;
    var partnerPercentageColumnIndex = <?php echo ($_SESSION['staff_type'] == 0) ? 12 : 0; ?>;
    var partnerPayoutColumnIndex = <?php echo ($_SESSION['staff_type'] == 0) ? 13 : 0; ?>;
    var remunerationColumnIndex = <?php echo ($_SESSION['staff_type'] == 0) ? 14 : 0; ?>;

    // Iterate through table rows to calculate totals
    $('#userTable tbody tr').each(function() {
        var sanctionLoanAmt = parseFloat($(this).find('td').eq(sanctionLoanColumnIndex).text().replace(/[^0-9.-]+/g, ""));
        var partnerPercentage = parseFloat($(this).find('td').eq(partnerPercentageColumnIndex).text().replace(/[^0-9.-]+/g, ""));
        var partnerPayoutAmt = parseFloat($(this).find('td').eq(partnerPayoutColumnIndex).text().replace(/[^0-9.-]+/g, ""));
        var remunerationAmt = parseFloat($(this).find('td').eq(remunerationColumnIndex).text().replace(/[^0-9.-]+/g, ""));

        if (!isNaN(sanctionLoanAmt)) totalSanctionLoanAmt += sanctionLoanAmt;
        if (!isNaN(partnerPercentage)) totalpartnerPercentage += partnerPercentage;
        if (!isNaN(partnerPayoutAmt)) totalPartnerPayoutAmt += partnerPayoutAmt;
        if (!isNaN(remunerationAmt)) totalRemunerationAmt += remunerationAmt;
    });

    // Remove existing tfoot if present
    $('#totalsFooter').remove();

    // Construct the tfoot with totals in the correct columns
    var tfootHtml = `
      <tfoot id="totalsFooter">
        <tr>
          <th colspan="${sanctionLoanColumnIndex}" style="text-align:right">Total</th>
          <th>${totalSanctionLoanAmt.toFixed(2)}</th>
          <th>${totalpartnerPercentage.toFixed(2)}</th>
          <th>${totalPartnerPayoutAmt.toFixed(2)}</th>
          <th>${totalRemunerationAmt.toFixed(2)}</th>
        </tr>
      </tfoot>
    `;

    // Append the footer to the table
    $('#userTable').append(tfootHtml);
}





function appLetterUpload(userId, fileInputId) {
    var fileInput = document.getElementById(fileInputId); // Use the passed ID

    // Check if file input exists
    if (!fileInput) {
        alert('File input not found');
        return;
    }

    // Get the selected file
    var file = fileInput.files[0];

    // Check if a file is selected
    if (!file) {
        alert('No file selected');
        return;
    }

    // Create a FormData object to send the file data
    var formData = new FormData();
    formData.append('apprisal_letter', file);
    formData.append('user_id', userId);

    // Send an Ajax request to the CodeIgniter controller
    $.ajax({
        url: 'admin/upload_apprisal_file', // Update the URL to match your CodeIgniter controller method
        type: 'POST',
        data: formData,
        processData: false,
        contentType: false,
        success: function(response) {
            // Handle success response
            alert('File uploaded successfully');
        },
        error: function(xhr, status, error) {
            // Handle error
            alert('Error uploading file: ' + error);
        }
    });
}


$(document).on('change', '.sbi-pb-invoice-no-input', function() {
    var element = $(this);
    var userId = element.data('id'); 
    var sbi_pb_invoice_no = element.val(); 

    $.ajax({
        type: 'POST',
        url: '<?= base_url('admin/update_sbi_pb_invoice_no'); ?>',  // Define the appropriate URL for updating remark
        data: { user_id: userId, sbi_pb_invoice_no: sbi_pb_invoice_no },
        success: function(response) {
            var res = JSON.parse(response);
            if (res.success) {
                notify('success', 'Invoice no updated successfully.');
            } else {
                notify('error', 'Error updating invoice no.');
            }
        },
        error: function(xhr, status, error) {
            alert('Error occurred: ' + error);
        }
    });
});

$(document).on('change', '.pb-branch-conf-no-input', function() {
    var element = $(this);
    var userId = element.data('id'); 
    var pb_branch_conf_no = element.val(); 

    $.ajax({
        type: 'POST',
        url: '<?= base_url('admin/update_pb_branch_conf_no'); ?>',  // Define the appropriate URL for updating remark
        data: { user_id: userId, pb_branch_conf_no: pb_branch_conf_no },
        success: function(response) {
            var res = JSON.parse(response);
            if (res.success) {
                notify('success', 'Branch Conf. no updated successfully.');
            } else {
                notify('error', 'Error updating Branch Conf. no');
            }
        },
        error: function(xhr, status, error) {
            alert('Error occurred: ' + error);
        }
    });
});

$(document).on('change', '.commoon_paid_unpaid_sbi_pb_invoice', function () {
    var element = $(this);
    var id = element.data('id');
    var selectedValue = element.val();
    var action = element.attr('action');

    // Update the background class based on the selected value
    element.removeClass('bg-success bg-danger'); // Remove existing background classes
    if (selectedValue === 'paid') {
        element.addClass('bg-success'); // Add green background for paid
    } else if (selectedValue === 'unpaid') {
        element.addClass('bg-danger'); // Add red background for unpaid
    }

    // Check if the action URL is valid
    if (!action) {
        alert('Action URL is not defined.');
        return;
    }

    // AJAX request to update the status
    $.ajax({
        type: 'POST',
        url: action,
        data: JSON.stringify({ id: id, status: selectedValue }),
        contentType: 'application/json',
        success: function (response) {
            try {
                var res = JSON.parse(response); // Parse the response
                if (res.success) {
                    alert(res.message); // Success message
                } else {
                    alert('Error: ' + res.message); // Error message from the server
                }
            } catch (e) {
                console.error('Invalid JSON response:', response);
                alert('Error processing the response.');
            }
        },
        error: function (xhr, status, error) {
            console.error('AJAX Error:', error);
            alert('An error occurred while updating the status. Please try again.');
        }
    });
});



</script>

<style>
   .dataTables_length {
      margin-bottom: 13px;
  }
  .dataTables_filter {
      margin-top: 12px;
  }
    
    .DTFC_RightBodyWrapper table,
  .DTFC_LeftBodyWrapper table {
      width: 100% !important;
  }

  .dataTables_scrollBody {
      overflow: auto;
  }

  .DTFC_LeftBodyLiner,
  .DTFC_RightBodyLiner {
      overflow: hidden !important;
  }

  .DTFC_LeftBodyWrapper,
  .DTFC_RightBodyWrapper {
      top: 0 !important;
  }

  .DTFC_RightBodyWrapper {
      right: 0 !important;
  }

  .DTFC_RightBodyLiner {
      overflow: hidden;
      position: absolute;
      right: 0;
      top: -11px !important;
      background-color: white !important;
  }

  .DTFC_LeftBodyLiner {
      overflow: hidden;
      position: absolute;
      left: 0;
  }

  .dataTables_scrollHeadInner, .dataTables_scrollHead, .dataTables_scrollBody {
      margin-bottom: 0 !important;
  }

  .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody {
      background: white;
  }


  table.dataTable tr:nth-child(even) {
      background-color: #ffff;
  }

  table.dataTable tr:nth-child(odd) {
      background-color: #ffffff;
  }

</style>




<!-- Modal -->
<div class="modal fade" id="applicantFormModal" data-bs-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="applicantFormModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="applicantFormModalLabel">Select Login Code</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="formSelection" class="d-flex justify-content-around">
          <div class="form-check custom-card">
            <input class="form-check-input" type="radio" name="formType" id="paisabazar" value="Paisabazaar" required>
            <label class="form-check-label custom-label" for="paisabazar">
             Paisabazzar
            </label>
          </div>
          <div class="form-check custom-card">
            <input class="form-check-input" type="radio" name="formType" id="mortgagebuddy" value="Mortgagebuddy" required>
            <label class="form-check-label custom-label" for="mortgagebuddy">
              Mortgagebuddy
            </label>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        
        <button type="button" class="btn btn-primary" id="redirectBtn">Proceed</button>
      </div>
    </div>
  </div>
</div>

<script>
// Handle the "Proceed" button click
document.getElementById('redirectBtn').addEventListener('click', function() {
    // Get the selected radio button
    var selectedRadio = document.querySelector('input[name="formType"]:checked');
    
    // Check if any radio button is selected
    if (selectedRadio) {
        var selectedFormType = selectedRadio.value;

        // Create a hidden form element
        var form = document.createElement('form');
        form.method = 'POST';
        form.action = "<?php echo base_url('admin/applicant_form'); ?>";  // Your target form URL

        // Create a hidden input field for the selected form type
        var input = document.createElement('input');
        input.type = 'hidden';
        input.name = 'selectedFormType';
        input.value = selectedFormType;

        // Append the input to the form and submit it
        form.appendChild(input);
        document.body.appendChild(form);
        form.submit();
    } else {
        alert('Please select a Login Code.');
    }
});


// Handle modal close event to unselect radio buttons
$('#applicantFormModal').on('hide.bs.modal', function () {
    // Unselect any selected radio button
    var selectedRadio = document.querySelector('input[name="formType"]:checked');
    if (selectedRadio) {
        selectedRadio.checked = false;
    }
    
    // Optionally reset the form if you have more fields
    document.getElementById('formSelection').reset();
});




$(document).on('submit', '.archive-form', function (e) {
    e.preventDefault();

    const form = $(this);
    const formData = form.serialize();

    $.ajax({
        url: form.attr('action'),
        method: 'POST',
        data: formData,
        dataType: 'json',
        success: function (response) {
            if (response.status === 'success') {
                alert(response.message); // Display success message
                location.reload(); // Reload the page to reflect changes
            } else if (response.status === 'error') {
                alert(response.message); // Display error message
            }
        },
        error: function () {
            alert('An unexpected error occurred.');
        }
    });
});
 
$('#sendToFinance').click(function () {
    var selectedIds = [];
    $('.row-checkbox:checked').each(function () {
        selectedIds.push($(this).val());
    });

    if (selectedIds.length === 0) {
        alert('Please select at least one record.');
        return;
    }

    $.ajax({
        type: "POST",
        url: "<?php echo base_url('admin/send_to_finance'); ?>",
        data: { ids: selectedIds },
        success: function (response) {
            alert('Successfully sent to finance.');
            table.ajax.reload();
        },
        error: function (error) {
            console.error("Error:", error);
        }
    });
});


$('#applicant_transfer_year').click(function () {
    var selectedIds = [];
    $('.row-checkbox:checked').each(function () {
        selectedIds.push($(this).val());
    });

    if (selectedIds.length === 0) {
        alert('Please select at least one record.');
        return;
    }

    // Open the modal and wait for user to confirm year
    $('#financialYearModal').modal('show');

    // On confirm inside modal
    $('#confirmFinancialYear').off('click').on('click', function () {
        const yearRaw = $('#financial_year').val(); // e.g., "24-25"
        const year = yearRaw.replace('-', '_'); // Convert to "24_25"

        if (!year) {
            alert('Please select a financial year.');
            return;
        }

        $.ajax({
            url: '<?= base_url("admin/transfer_users_to_year") ?>',
            type: 'POST',
            data: {
                year: year,
                selected_ids: selectedIds
            },
            success: function (response) {
                const res = JSON.parse(response);
                alert(res.message);
                location.reload();
                if (res.status && typeof table !== 'undefined') {
                    location.reload();
                }
                $('#financialYearModal').modal('hide');
            }
        });
    });
});

</script>



<style>
/* Hide default radio button appearance */
.form-check-input {
    position: absolute;
    opacity: 0;
   
}
.form-check {
    display: block;
    min-height: 1.5rem;
    padding-left: 0px !important;
    margin-bottom: .125rem;
}

/* Style the card as selectable */
.custom-card {
    cursor: pointer;
    width: 150px;
    margin-bottom: 20px;
    border: 2px solid #ccc;
    border-radius: 5px;
    transition: all 0.3s ease;
    display: inline-block;
    text-align: center;
}

/* Change border color and background when selected */
.form-check-input:checked + .custom-label {
    border-color: green;
    background-color: green;
    color: white;
    padding: 10px;
    border-radius: 5px;
    display: inline-block;
}

/* Style for the label to appear like a card */
.custom-label {
    display: inline-block;
    padding: 10px;
    border-radius: 5px;
    border: 2px solid #ccc;
    transition: all 0.3s ease;
    width: 100%;
}

/* Hover effect for the card */
.custom-card:hover .custom-label {
    border-color: green;
}

.dataTables_processing .spinner-border {
    width: 2rem;
    height: 2rem;
    margin-right: 10px;
    vertical-align: middle;
}
</style>
